package ru.yandex.direct.web.entity.deal.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import static java.util.Collections.emptyList;

public class WebDealDetails {
    private WebDeal deal;
    @JsonProperty("campaigns")
    private List<WebDealDetailsCampaign> campaigns = emptyList();

    public WebDeal getDeal() {
        return deal;
    }

    public void setDeal(WebDeal deal) {
        this.deal = deal;
    }

    public List<WebDealDetailsCampaign> getCampaigns() {
        return campaigns;
    }

    public void setCampaigns(List<WebDealDetailsCampaign> campaigns) {
        this.campaigns = campaigns;
    }

    public WebDealDetails withDeal(WebDeal deal) {
        this.deal = deal;
        return this;
    }

    public WebDealDetails withCampaigns(List<WebDealDetailsCampaign> campaigns) {
        this.campaigns = campaigns;
        return this;
    }
}
